/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import {DefaultEventHandler} from 'frontend-js-web';
import {Config} from 'metal-state';

class RedirectNotFoundEntriesManagementToolbarDefaultEventHandler extends DefaultEventHandler {
	ignoreSelectedRedirectNotFoundEntries() {
		const form = this.one('#fm');

		Liferay.Util.postForm(form, {
			data: {
				deleteEntryIds: Liferay.Util.listCheckedExcept(
					form,
					this.ns('allRowIds')
				),
				ignored: true,
			},
			url: this.editRedirectNotFoundEntriesURL,
		});
	}

	unignoreSelectedRedirectNotFoundEntries() {
		const form = this.one('#fm');

		Liferay.Util.postForm(form, {
			data: {
				deleteEntryIds: Liferay.Util.listCheckedExcept(
					form,
					this.ns('allRowIds')
				),
				ignored: false,
			},
			url: this.editRedirectNotFoundEntriesURL,
		});
	}
}

RedirectNotFoundEntriesManagementToolbarDefaultEventHandler.STATE = {
	editRedirectNotFoundEntriesURL: Config.string(),
	spritemap: Config.string(),
};

export default RedirectNotFoundEntriesManagementToolbarDefaultEventHandler;
